$(function()
{
    var $ajaxForm = $('#ajaxForm');
    $ajaxForm.table();

    $ajaxForm.on('change', '#datepicker #switchDate', function()
    {
        var isChecked = $(this).prop('checked');
        if(isChecked)
        {
            $('#date').attr('disabled', 'disabled');
        }
        else
        {
            $('#date').removeAttr('disabled');
        }
        $ajaxForm.find('table .check-all').toggleClass('checked', isChecked);
        $ajaxForm.find('table input[type=checkbox]').prop('checked', isChecked).change();
    });

    $ajaxForm.on('change', 'table input[type=checkbox]', function()
    {
        var $inputGroup = $(this).parents('.input-group');
        if($(this).prop('checked'))
        {
            $inputGroup.find('[name^=begins], [name^=ends]').attr('disabled', 'disabled');
        }
        else
        {
            $inputGroup.find('[name^=begins], [name^=ends]').removeAttr('disabled');
        }
        $inputGroup.fixInputGroup();
    });

    $('.modal-body').addClass('loading load-indicator');

    setTimeout(function()
    {
        $('.modal-body').removeClass('loading load-indicator');
        $('.auto-fade-in').addClass('in');
    }, 500);
});
